using System;

internal sealed class Delegate628 : MulticastDelegate
{
	public extern string Invoke(object object_0);

	public static string smethod_0(object object_0, Delegate628 delegate628_1)
	{
		return delegate628_1(object_0);
	}

	public extern Delegate628(object object_0, IntPtr intptr_0);

	static Delegate628()
	{
		Class10.smethod_13(typeof(Delegate628).TypeHandle);
	}

	internal static Delegate628 delegate628_0;
}
